Package org.eclipse.gef.ui.palette.customize

# Interface EntryPageContainer

All Known Implementing Classes:
  `PaletteCustomizerDialog`

public interface EntryPageContainer
An `EntryPageContainer` allows an `EntryPage` to report errors to it.

## Method Summary

Modifier and Type
Method
Description
`void`
`clearProblem()`
Clears the error.
`void`
`showProblem(String description)`
Shows the error to the user.

## Method Details

### clearProblem

void clearProblem()
Clears the error.

### showProblem

void showProblem(String description)
Shows the error to the user.

Parameters:
  `description` - A description of the problem. Should be as brief as possible.